<template>
    <div class="field">
        <slot></slot>
    </div>
</template>

<style>

.field > input[type="text"],
.field > input[type="date"],
.field > input[type="email"],
.field > input[type="number"],
.field > select,
.field > textarea {
    display: block;
    width: 100%;
    padding: 0.25rem 0.5rem;
    height: 3rem;
    font-size: 1.45em;

    background: white;
    border: 2px solid rgba(0, 0, 0, 0.1);
    border-radius: 0.5rem;
    outline: none !important;
}

.field > input[type="checkbox"],
.field > input[type="radio"] {
    position: absolute !important;
    opacity: 0 !important;
}

.field > input[type="checkbox"] + label::before,
.field > input[type="radio"] + label::before,
.field > input[type="checkbox"] + label::after,
.field > input[type="radio"] + label::after {
    display: inline-block;
    content: "";
    height: 24px;
    width: 24px;
    text-align: center;
    vertical-align: top;
}

.field > input[type="checkbox"] + label::before,
.field > input[type="radio"] + label::before {
    margin-right: 0.5rem;
    background: rgb(255, 255, 255) none repeat scroll 0% 0%;
    border: 2px solid rgba(0, 0, 0, 0.1);
    border-radius: 6px;
}

.field > input[type="radio"] + label::before {
    border-radius: 50%;
}

.field > input[type="checkbox"]:checked + label::before,
.field > input[type="radio"]:checked + label::before {
    background-color: hsla(160, 100%, 37%, 1);
}

.field > input[type="checkbox"]:checked + label::after {
    position: absolute;
    height: 16px;
    width: 16px;
    left: 12px;
    top: 50%;
    transform: translate(-50%, -50%);
    background-image: url("data:image/svg+xml,%3Csvg viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg' style='display: block; fill: none; height: 16px; width: 16px; stroke: white; stroke-width: 4px; overflow: visible;' aria-hidden='true' role='presentation' focusable='false'%3E%3Cpath fill='none' d='m4 16.5 8 8 16-16'%3E%3C/path%3E%3C/svg%3E");
    background-repeat: no-repeat;
}

.field > label {
    cursor: pointer;
    font-weight: bold;
}

.field > label:first-child {
    display: none !important;
}

.field > textarea {
    height: 8rem;
}

.field > input:focus {
    border-color: rgb(38, 52, 139);
}

.field > input::placeholder,
.field > textarea::placeholder,
.field > select:required:invalid {
    color: rgba(0, 0, 0, 0.4);
}

.field > select > option {
    color: black;
  }

.field > select > option[value=""][disabled] {
    display: none;
}
</style>